gnutls_ocsp_req_export(3)

NAME
gnutls_ocsp_req_export - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_req_export(gnutls_ocsp_req_t req, gnutls_datum_t * data);

ARGUMENTS

gnutls_ocsp_req_t req
    Holds the OCSP request

gnutls_datum_t * data
    newly allocate buffer holding DER encoded OCSP request

DESCRIPTION
This function will export the OCSP request to DER format.

RETURNS
In case of failure a negative error code will be returned, and 0 on success.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/